## org.eclipse.amp.axf.view
Class ModelViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  AGFViewPart

    public abstract class ModelViewPart

extends org.eclipse.ui.part.ViewPart
implements IModelPart, org.eclipse.jface.util.IPropertyChangeListener

The Class ModelViewPart.

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ModelViewPart()`

Method Summary
`void` `addModelListener(ILifeCycleListener listener)` Adds the model listener.
`void` `createModelListeners()` Creates the model listeners.
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`java.lang.Object` `getAdapter(java.lang.Class type)`
`IModel` `getModel()` Gets the model.
`java.util.Collection<ILifeCycleListener>` `getModelListeners()` Gets the model listeners.
`java.lang.String` `getName()` Gets the name.
`org.eclipse.ui.views.properties.PropertySheetPage` `getPropertySheetPage()` Gets the property sheet page.
`boolean` `isSingle()` Checks if is single.
`void` `propertyChange(org.eclipse.jface.util.PropertyChangeEvent event)`
`void` `removeModelListener(ILifeCycleListener view)` Removes the model listener.
`void` `setFocus()`
`void` `setInput(org.eclipse.ui.IEditorInput input)` Sets the input.
`void` `setModel(IModel model)` Sets the model.
`void` `setPartName(java.lang.String newName)`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### ModelViewPart

    public ModelViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`
  Parameters:
    `parent` -
  See Also:
    `WorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### setInput

    public void setInput(org.eclipse.ui.IEditorInput input)

  Sets the input.

  Parameters:
    `input` - the new input

### setPartName

    public void setPartName(java.lang.String newName)

  Overrides:
    `setPartName` in class `org.eclipse.ui.part.ViewPart`
  Parameters:
    `newName` -
  See Also:
    `ViewPart.setPartName(java.lang.String)`

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:
    the name

### getPropertySheetPage

    public org.eclipse.ui.views.properties.PropertySheetPage getPropertySheetPage()

  Gets the property sheet page.

  Returns:
    the property sheet page

### createModelListeners

    public void createModelListeners()

  Description copied from interface: `IModelPart`
  Creates the model listeners.

  Specified by:
    `createModelListeners` in interface `IModelPart`
  See Also:
    `IModelPart.createModelListeners()`

### getModel

    public IModel getModel()

  Gets the model.

  Returns:
    the model

### propertyChange

    public void propertyChange(org.eclipse.jface.util.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `org.eclipse.jface.util.IPropertyChangeListener`
  Parameters:
    `event` -
  See Also:
    `IPropertyChangeListener.propertyChange(org.eclipse.jface.util.PropertyChangeEvent)`

### setModel

    public void setModel(IModel model)

  Sets the model.

  Parameters:
    `model` - the new model

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.setFocus()`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.dispose()`

### addModelListener

    public void addModelListener(ILifeCycleListener listener)

  Description copied from interface: `IModelPart`
  Adds the model listener.

  Specified by:
    `addModelListener` in interface `IModelPart`
  Parameters:
    `listener` -
  See Also:
    `IModelPart.addModelListener(org.eclipse.amp.axf.core.ILifeCycleListener)`

### getModelListeners

    public java.util.Collection<ILifeCycleListener> getModelListeners()

  Description copied from interface: `IModelPart`
  Gets the model listeners.

  Specified by:
    `getModelListeners` in interface `IModelPart`
  Returns:
  See Also:
    `IModelPart.getModelListeners()`

### removeModelListener

    public void removeModelListener(ILifeCycleListener view)

  Description copied from interface: `IModelPart`
  Removes the model listener.

  Specified by:
    `removeModelListener` in interface `IModelPart`
  Parameters:
    `view` -
  See Also:
    `IModelPart.removeModelListener(org.eclipse.amp.axf.core.ILifeCycleListener)`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.ui.part.WorkbenchPart`
  Parameters:
    `type` -
  Returns:
  See Also:
    `WorkbenchPart.getAdapter(java.lang.Class)`

### isSingle

    public boolean isSingle()

  Checks if is single.

  Returns:
    true, if is single